corda / net.corda.core.contracts / DummyContract / State

# State

`interface State : ContractState`

### Properties

magicNumber | `abstract val magicNumber: Int`

### Inherited Properties

contract | `abstract val contract: Contract` An instance of the contract class that will verify this state.
participants | `abstract val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.

### Inheritors

MultiOwnerState | `data class MultiOwnerState : ContractState, State` Alternative state with multiple owners. This exists primarily to provide a dummy state with multiple participants, and could in theory be merged with SingleOwnerState by putting the additional participants in a different field, however this is a good example of a contract with multiple states.
SingleOwnerState | `data class SingleOwnerState : OwnableState, State`